import { _ as h, __tla as __tla_0 } from "./CustomCard.vue_vue_type_script_setup_true_lang-374ERk20.js";
import { _ as C } from "./CustomTable.vue_vue_type_script_setup_true_lang-CVzOsXR0.js";
import { c as b } from "./columns-1dSLzo5A.js";
import { d as I } from "./workbench-DEgqNpqd.js";
import { d as _, e as y, r as c, ay as P, ac as n, c as k, o as S, w as T, j as w, l as r, __tla as __tla_1 } from "./index-9PRMimni.js";
import "./BasicForm-dL_oCSPM.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./useForm-CKmgcynv.js";
import "./usePageCache-DluHn7Yy.js";
import "./Flex-CTSf12gq.js";
import "./index-DatBjkM3.js";
import "./dateUtil-BtafrT1f.js";
import "./format-DgF6KtHk.js";
import "./helper-D9DF1oLX.js";
import "./find-D_h_aJYR.js";
import "./findIndex-BgUIH3i1.js";
import "./toInteger-DQeH-nF-.js";
import "./includes-DdMWPj0t.js";
let se;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })()
]).then(async ()=>{
    se = _({
        __name: "CircularList",
        props: {
            componentItem: {},
            isEditable: {
                type: Boolean
            },
            searchParams: {},
            refreshComponent: {
                type: Boolean
            },
            defaultCardParams: {},
            useSource: {}
        },
        setup (p) {
            const o = p, i = y(), s = c(), t = c(o.defaultCardParams || {}), { circularListColumns: u } = b();
            P(()=>o.refreshComponent, (e)=>{
                n(()=>{
                    e && m(!0);
                });
            }, {
                immediate: !0
            });
            function l(e) {
                return {
                    style: "cursor: pointer",
                    onClick: ()=>{
                        i.push({
                            name: "noticeCircular_feedback",
                            query: {
                                id: e.noticeInfoId,
                                noticeUserId: e.id,
                                type: e.isFeedback,
                                isView: +e.feedbackNoticeStatus == 1 ? "1" : "0",
                                objectId: e.objectId
                            }
                        });
                    }
                };
            }
            function d() {
                const e = o.searchParams?.shipIds?.toString()?.split(",");
                let a = "";
                e?.length === 1 && (a = e[0]), i.push({
                    name: "noticeCircular_received",
                    query: {
                        noticeTypeCode: "notice_circular",
                        shipId: a
                    }
                });
            }
            function f(e) {
                t.value = e, m(!0);
            }
            function m(e) {
                n(()=>{
                    s.value?.handleGetData(e);
                });
            }
            return (e, a)=>(S(), k(h, {
                    componentItem: e.componentItem,
                    cardParams: r(t),
                    "show-transition": !1,
                    useSource: e.useSource,
                    onFilter: f,
                    onShowAll: d
                }, {
                    default: T(()=>[
                            w(C, {
                                ref_key: "basicTableRef",
                                ref: s,
                                columns: r(u),
                                request: r(I),
                                params: {
                                    ...e.searchParams || {},
                                    ...r(t) || {},
                                    objectId: e.searchParams?.shipIds,
                                    noticeTypeCode: "notice_circular"
                                },
                                "row-props": l
                            }, null, 8, [
                                "columns",
                                "request",
                                "params"
                            ])
                        ]),
                    _: 1
                }, 8, [
                    "componentItem",
                    "cardParams",
                    "useSource"
                ]));
        }
    });
});
export { se as default, __tla };
